## postgresql-hll 2.7

=== Makefile ===
# Copyright 2013 Aggregate Knowledge, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

MODULE_big = hll
OBJS =		\
			hll.o \
			MurmurHash3.o \
			$(NULL)

EXTENSION = hll
DATA =		\
			hll--1.0.sql \
			$(NULL)

EXTRA_CLEAN += -r $(RPM_BUILD_ROOT)

PG_CPPFLAGS += -fPIC
PG_CPPFLAGS += -std=c99

ifdef DEBUG
COPT		+= -O0
CXXFLAGS	+= -g -O0
endif

SHLIB_LINK	+= -lstdc++

PG_CONFIG = /usr/pgsql-9.1/bin/pg_config

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== regress/Makefile ===
# Copyright 2013 Aggregate Knowledge, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# For each file name "foo":
#
# foo.sql				- test script
# foo.ref				- expected output
# ../testdata/foo.csv	- (optional data file for \copy from pstdin)
# foo.out				- actual output

SQL =	\
		add_agg.sql \
		auto_sparse.sql \
		explicit_thresh.sql \
		nosparse.sql \
		agg_oob.sql \
		cast_shape.sql \
		scalar_oob.sql \
		typmod.sql \
		typmod_insert.sql \
		hash.sql \
		murmur_bigint.sql \
		murmur_bytea.sql \
		equal.sql \
		notequal.sql \
		union_op.sql\
		card_op.sql \
		meta_func.sql \
		transaction.sql \
		storedproc.sql \
		cumulative_add_cardinality_correction.sql \
		cumulative_add_comprehensive_promotion.sql \
		cumulative_add_sparse_edge.sql \
		cumulative_add_sparse_random.sql \
		cumulative_add_sparse_step.sql \
		cumulative_union_comprehensive.sql \
		cumulative_union_explicit_explicit.sql \
		cumulative_union_explicit_promotion.sql \
		cumulative_union_probabilistic_probabilistic.sql \
		cumulative_union_sparse_full_representation.sql \
		cumulative_union_sparse_promotion.sql \
		cumulative_union_sparse_sparse.sql \
		$(NULL)

TEST_DB = hll_regress

NOT =	\
		$(NULL)

OUT := $(SQL:%.sql=%.out)

# Print NULL values explicitly.
PSQLOPTS = --echo-all -P null=NULL

all:	$(OUT)

clean:
	rm -f $(OUT)

# If a matching testdata file exists use it as standard input.
# Otherwise the test doesn't need data on stdin.
#
%.out:	%.sql %.ref
	@echo $*
	@if test -f ../testdata/$*.csv; then \
	  cat ../testdata/$*.csv | \
	  psql $(PSQLOPTS) $(TEST_DB) -f $*.sql &> $*.out && diff -u $*.ref $*.out; \
	else \
	  psql $(PSQLOPTS) $(TEST_DB) -f $*.sql &> $*.out && diff -u $*.ref $*.out; \
    fi

=== debian/changelog ===
postgresql-hll (2.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't include postgresql-common makefile (Closes: 738376)
  * Add inline with _forceinline.
  * Use source format 3.

 -- YunQiang Su <syq@debian.org>  Thu, 30 Oct 2014 11:06:48 +0800

postgresql-hll (2.7-2) unstable; urgency=low

  * Removed useless sentence in the package description (Closes: #705300).
    Thanks to Jonas Smedegaard for pointing this out.

 -- Cyril Bouthors <cyril@bouthors.org>  Sat, 13 Apr 2013 10:15:25 +0200

postgresql-hll (2.7-1) unstable; urgency=low

  * Initial release (Closes: #701101).

 -- Cyril Bouthors <cyril@bouthors.org>  Thu, 21 Feb 2013 16:15:00 +0100

=== debian/control ===
Source: postgresql-hll
Section: database
Priority: optional
Maintainer: Cyril Bouthors <cyb@debian.org>
Uploaders: Cyril Bouthors <cyril@bouthors.org>
Build-Depends: debhelper (>= 8.0.0), postgresql-server-dev-all
Standards-Version: 3.9.3
Homepage: https://github.com/aggregateknowledge/postgresql-hll

Package: postgresql-hll
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HyperLogLog extension for PostgreSQL
 This Postgres module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a **fixed-size**, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only a
 few percent error.
 .
 In addition to the algorithm proposed in the original paper, this
 implementation is augmented to improve its accuracy and memory use without
 sacrificing much speed.
 .
 The full description can be found at
 https://github.com/aggregateknowledge/postgresql-hll/blob/master/README.markdown

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

SRCDIR = $(CURDIR)

#override_dh_auto_configure:
#	+pg_buildext configure $(CURDIR) version-%v "--libdir=/usr/lib/postgresql/%v/lib --datadir=/usr/share/postgresql-%v-hll"
#	+pg_buildext build $(CURDIR) version-%v

override_dh_auto_clean:
	$(MAKE) PG_CONFIG=pg_config clean
#	+pg_buildext clean $(CURDIR) build-%v

override_dh_auto_build:
	$(MAKE) PG_CONFIG=pg_config
#	+pg_buildext build $(CURDIR) version-%v postgresql-%v-hll

override_dh_auto_install:
	$(MAKE) PG_CONFIG=pg_config DESTDIR=$$PWD/debian/postgresql-hll install
#	+pg_buildext install $(CURDIR) build-%v postgresql-%v-hll

## postgresql-hll 2.10.2

=== Makefile ===
--- 
+++ 
@@ -20,13 +20,14 @@
 
 EXTENSION = hll
 DATA =		\
-			hll--1.0.sql \
+			hll--2.10.sql \
 			$(NULL)
 
 EXTRA_CLEAN += -r $(RPM_BUILD_ROOT)
 
 PG_CPPFLAGS += -fPIC
-PG_CPPFLAGS += -std=c99
+hll.o: override CFLAGS += -std=c99
+MurmurHash3.o: override CC = $(CXX)
 
 ifdef DEBUG
 COPT		+= -O0
@@ -35,7 +36,9 @@
 
 SHLIB_LINK	+= -lstdc++
 
-PG_CONFIG = /usr/pgsql-9.1/bin/pg_config
+ifndef PG_CONFIG
+PG_CONFIG = pg_config
+endif
 
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== regress/Makefile ===
# Copyright 2013 Aggregate Knowledge, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# For each file name "foo":
#
# foo.sql				- test script
# foo.ref				- expected output
# ../testdata/foo.csv	- (optional data file for \copy from pstdin)
# foo.out				- actual output

PSQL      = psql
TEST_DB   = hll_regress

SQL       = $(wildcard *.sql)
OUT      := $(SQL:%.sql=%.out)

PSQLOPTS  = -X --echo-all -P null=NULL       # Print NULL values explicitly.
PGOPTIONS = --client-min-messages=warning    # Output WARNINGS

all:	$(OUT)
	@find . -maxdepth 1 -name '*.diff' -print -quit > failures
	@if test -s failures; then \
		echo ERROR: `ls -1 *.diff | wc -l` / `ls -1 *.sql | wc -l` tests failed; \
		echo; \
		cat *.diff; \
		exit 1; \
	else \
		rm failures; \
		echo `ls -1 *.out | wc -l` / `ls -1 *.sql | wc -l` tests passed; \
	fi

clean:
	rm -f binary.dat *.out *.diff

# If a matching testdata file exists use it as standard input.
# Otherwise the test doesn't need data on stdin.
#
%.out:	%.sql %.ref
	@echo -n $*
	@if test -f ../testdata/$*.csv; then \
	  PGOPTIONS=$(PGOPTIONS) $(PSQL) $(PSQLOPTS) $(TEST_DB) -f $*.sql < ../testdata/$*.csv > $*.out 2>&1; \
	else \
	  PGOPTIONS=$(PGOPTIONS) $(PSQL) $(PSQLOPTS) $(TEST_DB) -f $*.sql > $*.out 2>&1; \
	fi
	@diff -u -I "^COPY.*" $*.ref $*.out >> $*.diff || status=1
	@if test -s $*.diff; then \
		echo " .. FAIL"; \
	else \
		echo " .. PASS"; \
		rm -f $*.diff; \
	fi

=== debian/changelog ===
postgresql-hll (2.10.2-1) unstable; urgency=medium

  * New upstream version.
  * Move package to the PostgreSQL team.
  * Convert to pg_buildext. Closes: #876826.
  * Let module depend on PostgreSQL server package.
  * Update copyright file.

 -- Christoph Berg <myon@debian.org>  Fri, 06 Apr 2018 18:36:53 +0200

=== debian/control ===
Source: postgresql-hll
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all
Standards-Version: 4.1.4
Homepage: https://github.com/citusdata/postgresql-hll
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git

Package: postgresql-10-hll
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_clean:
	+pg_buildext clean build-%v

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-hll

override_dh_installdocs:
	dh_installdocs --all README.markdown README.markdown

## postgresql-hll 2.12

=== Makefile ===
# Copyright 2013 Aggregate Knowledge, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
EXTENSION = hll
EXTVERSIONS = 2.10 2.11 2.12

DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql)
DATA = $(wildcard $(EXTENSION)--*--*.sql)

MODULE_big = $(EXTENSION)
OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c)) $(patsubst %.cpp,%.o,$(wildcard src/*.cpp))

PG_CPPFLAGS = -fPIC -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude -I$(libpq_srcdir)

REGRESS = setup $(filter-out setup,$(patsubst sql/%.sql,%,$(sort $(wildcard sql/*.sql))))

PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

src/hll.o: override CFLAGS += -std=c99

$(EXTENSION)--2.10.sql: $(EXTENSION).sql
	cat $^ > $@
$(EXTENSION)--2.11.sql: $(EXTENSION)--2.10.sql $(EXTENSION)--2.10--2.11.sql
	cat $^ > $@
$(EXTENSION)--2.12.sql: $(EXTENSION)--2.11.sql $(EXTENSION)--2.11--2.12.sql
	cat $^ > $@

=== debian/changelog ===
postgresql-hll (2.12-3.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:32:33 +0800

postgresql-hll (2.12-3.lnd.1) unstable; urgency=medium

  * add loongarch support.

 -- Jianjun Han <hanjianjun@loongson.cn>  Thu, 05 Aug 2021 20:47:20 +0800

postgresql-hll (2.12-3) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Feb 2019 11:47:20 +0100

postgresql-hll (2.12-2) unstable; urgency=medium

  * Limit to little-endian 64-bit architectures, currently unsupported.
    (https://github.com/citusdata/postgresql-hll/issues/45, closes: #914189)
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Dec 2018 13:53:31 +0100

postgresql-hll (2.12-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 06 Nov 2018 10:48:48 +0100

postgresql-hll (2.11-2) unstable; urgency=medium

  * debian/pgversions: Bump to 9.5+, earlier versions throw warnings.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 19 Oct 2018 13:18:38 +0200

postgresql-hll (2.11-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 18 Oct 2018 17:23:45 +0200

postgresql-hll (2.10.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Add patch to catch changed HINT messages in regression tests.
  * Actually run regression tests via autopkgtest.
  * Ship upstream changelog.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 18 Oct 2018 16:26:56 +0200

=== debian/control ===
Source: postgresql-hll
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all
Standards-Version: 4.3.0
Homepage: https://github.com/citusdata/postgresql-hll
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git

Package: postgresql-11-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loongarch64 mips64el ppc64el riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

## postgresql-hll 2.14

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 EXTENSION = hll
-EXTVERSIONS = 2.10 2.11 2.12
+EXTVERSIONS = 2.10 2.11 2.12 2.13 2.14
 
 DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql)
 DATA = $(wildcard $(EXTENSION)--*--*.sql)
@@ -28,6 +28,8 @@
 PGXS = $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
+SHLIB_LINK	+= -lstdc++
+
 src/hll.o: override CFLAGS += -std=c99
 
 $(EXTENSION)--2.10.sql: $(EXTENSION).sql
@@ -36,3 +38,7 @@
 	cat $^ > $@
 $(EXTENSION)--2.12.sql: $(EXTENSION)--2.11.sql $(EXTENSION)--2.11--2.12.sql
 	cat $^ > $@
+$(EXTENSION)--2.13.sql: $(EXTENSION)--2.12.sql $(EXTENSION)--2.12--2.13.sql
+	cat $^ > $@
+$(EXTENSION)--2.14.sql: $(EXTENSION)--2.13.sql $(EXTENSION)--2.13--2.14.sql
+	cat $^ > $@

=== debian/changelog ===
postgresql-hll (2.14-1) unstable; urgency=medium

  * New upstream version.
  * tests: Drop shared_preload_libraries again.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Nov 2019 19:22:43 +0100

postgresql-hll (2.13-1) unstable; urgency=medium

  * New upstream version.
  * tests: Add hll to shared_preload_libraries and set extra_float_digit=0.
  * tests: Paper over glibc2.29 changes with different log() precision.
    (Closes: #939987)

 -- Christoph Berg <myon@debian.org>  Thu, 07 Nov 2019 11:28:22 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git
 
-Package: postgresql-11-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loongarch64 mips64el ppc64el riscv64
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
+Package: postgresql-12-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
  distinct value counting with tunable precision. For example, in 1280 bytes
  `hll` can estimate the count of tens of billions of distinct values with only
  a few percent error.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-hll

override_dh_installdocs:
	dh_installdocs --all README.md REFERENCE.md

=== debian/watch ===
version=4
https://github.com/citusdata/postgresql-hll/releases .*/v(.*).tar.gz

## postgresql-hll 2.15.1

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,9 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 EXTENSION = hll
-EXTVERSIONS = 2.10 2.11 2.12 2.13 2.14
+EXTVERSIONS = 2.10 2.11 2.12 2.13 2.14 2.15
 
-DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql)
-DATA = $(wildcard $(EXTENSION)--*--*.sql)
+DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql) $(wildcard $(EXTENSION)--*--*.sql)
 
 MODULE_big = $(EXTENSION)
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c)) $(patsubst %.cpp,%.o,$(wildcard src/*.cpp))
@@ -29,11 +28,13 @@
 include $(PGXS)
 
 SHLIB_LINK	+= -lstdc++
+SQLPP ?= cpp -undef -w -P -imacros $(shell $(PG_CONFIG) --includedir-server)/pg_config.h
 
 src/hll.o: override CFLAGS += -std=c99
 
-$(EXTENSION)--2.10.sql: $(EXTENSION).sql
-	cat $^ > $@
+%.sql: update/%.sql
+	$(SQLPP) $^ > $@
+
 $(EXTENSION)--2.11.sql: $(EXTENSION)--2.10.sql $(EXTENSION)--2.10--2.11.sql
 	cat $^ > $@
 $(EXTENSION)--2.12.sql: $(EXTENSION)--2.11.sql $(EXTENSION)--2.11--2.12.sql
@@ -42,3 +43,5 @@
 	cat $^ > $@
 $(EXTENSION)--2.14.sql: $(EXTENSION)--2.13.sql $(EXTENSION)--2.13--2.14.sql
 	cat $^ > $@
+$(EXTENSION)--2.15.sql: $(EXTENSION)--2.14.sql $(EXTENSION)--2.14--2.15.sql
+	cat $^ > $@

=== debian/changelog ===
postgresql-hll (2.15.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 21 Dec 2020 14:48:18 +0100

postgresql-hll (2.15.1-1) unstable; urgency=medium

  * New upstream version 2.15.1.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Dec 2020 14:48:18 +0100

postgresql-hll (2.15-1) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.
  * Use dh --with pgxs_loop.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Nov 2020 16:20:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,52 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/citusdata/postgresql-hll
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git
+
+Package: postgresql-9.5-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.
+
+Package: postgresql-9.6-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.
+
+Package: postgresql-10-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.
+
+Package: postgresql-11-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.
 
 Package: postgresql-12-hll
 Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
@@ -18,3 +59,13 @@
  distinct value counting with tunable precision. For example, in 1280 bytes
  `hll` can estimate the count of tens of billions of distinct values with only
  a few percent error.
+
+Package: postgresql-13-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.

## postgresql-hll 2.16~20220627.1523-1~1.git32e3e9d.pgdg21.10+1

=== debian/changelog ===
postgresql-hll (2.16~20220627.1523-1~1.git32e3e9d.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

postgresql-hll (2.16-1) unstable; urgency=medium

  * New upstream version 2.16.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 09:00:31 +0200

## postgresql-hll 2.16~20220627.1523-1~1.git32e3e9d.pgdg90+1

=== debian/changelog ===
postgresql-hll (2.16~20220627.1523-1~1.git32e3e9d.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,6 @@
 Homepage: https://github.com/citusdata/postgresql-hll
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git
-
-Package: postgresql-9.5-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
-Description: HyperLogLog extension for PostgreSQL
- This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
- data structure. HyperLogLog is a fixed-size, set-like structure used for
- distinct value counting with tunable precision. For example, in 1280 bytes
- `hll` can estimate the count of tens of billions of distinct values with only
- a few percent error.
-
-Package: postgresql-9.6-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
-Description: HyperLogLog extension for PostgreSQL
- This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
- data structure. HyperLogLog is a fixed-size, set-like structure used for
- distinct value counting with tunable precision. For example, in 1280 bytes
- `hll` can estimate the count of tens of billions of distinct values with only
- a few percent error.
 
 Package: postgresql-10-hll
 Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
@@ -69,3 +49,13 @@
  distinct value counting with tunable precision. For example, in 1280 bytes
  `hll` can estimate the count of tens of billions of distinct values with only
  a few percent error.
+
+Package: postgresql-14-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.

## postgresql-hll 2.16~20220627.1523-1~1.git32e3e9d.pgdg100+1

=== debian/changelog ===
postgresql-hll (2.16~20220627.1523-1~1.git32e3e9d.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/citusdata/postgresql-hll

## postgresql-hll 2.16~20220627.1523-1~1.git32e3e9d.pgdg110+1

=== debian/changelog ===
postgresql-hll (2.16~20220627.1523-1~1.git32e3e9d.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

## postgresql-hll 2.16~20220627.1523-1~1.git32e3e9d.pgdg120+1

=== debian/changelog ===
postgresql-hll (2.16~20220627.1523-1~1.git32e3e9d.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/citusdata/postgresql-hll

## postgresql-hll 2.16~20220627.1523-1~1.git32e3e9d.pgdg+1

=== debian/changelog ===
postgresql-hll (2.16~20220627.1523-1~1.git32e3e9d.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

## postgresql-hll 2.16~20220627.1524-1~1.git32e3e9d.pgdg20.04+1

=== debian/changelog ===
postgresql-hll (2.16~20220627.1524-1~1.git32e3e9d.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

## postgresql-hll 2.16

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 EXTENSION = hll
-EXTVERSIONS = 2.10 2.11 2.12 2.13 2.14 2.15
+EXTVERSIONS = 2.10 2.11 2.12 2.13 2.14 2.15 2.16
 
 DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql) $(wildcard $(EXTENSION)--*--*.sql)
 
@@ -45,3 +45,5 @@
 	cat $^ > $@
 $(EXTENSION)--2.15.sql: $(EXTENSION)--2.14.sql $(EXTENSION)--2.14--2.15.sql
 	cat $^ > $@
+$(EXTENSION)--2.16.sql: $(EXTENSION)--2.15.sql $(EXTENSION)--2.15--2.16.sql
+	cat $^ > $@

=== debian/changelog ===
postgresql-hll (2.16-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,22 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/citusdata/postgresql-hll
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git
+
+Package: postgresql-9.6-hll
+Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.
 
 Package: postgresql-10-hll
 Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64

## postgresql-hll 2.17

=== debian/changelog ===
postgresql-hll (2.17-1) unstable; urgency=medium

  * New upstream version 2.17.
  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:55:35 +0200

=== debian/control ===
Source: postgresql-hll
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/citusdata/postgresql-hll
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git

Package: postgresql-15-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64el riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-15
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

=== debian/watch ===
version=4
https://github.com/citusdata/postgresql-hll/tags .*/v(.*).tar.gz

## postgresql-hll 2.18

=== debian/changelog ===
postgresql-hll (2.18-2.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 23:27:25 +0200

postgresql-hll (2.18-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:27:25 +0200

postgresql-hll (2.18-1) unstable; urgency=medium

  * New upstream version 2.18.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 17:06:28 +0200

postgresql-hll (2.17-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * Add loong64 to architecture list.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:23:58 +0200

postgresql-hll (2.17-2) unstable; urgency=medium

  * Fix compatibility with PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 11:07:22 +0200

=== debian/control ===
Source: postgresql-hll
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/citusdata/postgresql-hll
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git

Package: postgresql-10-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

Package: postgresql-11-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

Package: postgresql-12-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

Package: postgresql-13-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

Package: postgresql-14-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

Package: postgresql-15-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

Package: postgresql-16-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

Package: postgresql-17-hll
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HyperLogLog extension for PostgreSQL
 This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
 data structure. HyperLogLog is a fixed-size, set-like structure used for
 distinct value counting with tunable precision. For example, in 1280 bytes
 `hll` can estimate the count of tens of billions of distinct values with only
 a few percent error.

=== debian/tests/control ===
Depends: @, make
Tests: installcheck
Restrictions: allow-stderr

## postgresql-hll 2.19

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,9 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 EXTENSION = hll
-EXTVERSIONS = 2.10 2.11 2.12 2.13 2.14 2.15 2.16
-
-DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql) $(wildcard $(EXTENSION)--*--*.sql)
+sql_files = $(wildcard update/$(EXTENSION)--*.sql)
+generated_sql_files = $(patsubst update/%,%,$(sql_files))
+DATA_built = $(generated_sql_files)
 
 MODULE_big = $(EXTENSION)
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c)) $(patsubst %.cpp,%.o,$(wildcard src/*.cpp))
@@ -34,16 +34,3 @@
 
 %.sql: update/%.sql
 	$(SQLPP) $^ > $@
-
-$(EXTENSION)--2.11.sql: $(EXTENSION)--2.10.sql $(EXTENSION)--2.10--2.11.sql
-	cat $^ > $@
-$(EXTENSION)--2.12.sql: $(EXTENSION)--2.11.sql $(EXTENSION)--2.11--2.12.sql
-	cat $^ > $@
-$(EXTENSION)--2.13.sql: $(EXTENSION)--2.12.sql $(EXTENSION)--2.12--2.13.sql
-	cat $^ > $@
-$(EXTENSION)--2.14.sql: $(EXTENSION)--2.13.sql $(EXTENSION)--2.13--2.14.sql
-	cat $^ > $@
-$(EXTENSION)--2.15.sql: $(EXTENSION)--2.14.sql $(EXTENSION)--2.14--2.15.sql
-	cat $^ > $@
-$(EXTENSION)--2.16.sql: $(EXTENSION)--2.15.sql $(EXTENSION)--2.15--2.16.sql
-	cat $^ > $@

=== debian/changelog ===
postgresql-hll (2.19-2.pgdg22.04+2) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Jan 2026 11:45:00 +0100

postgresql-hll (2.19-2) unstable; urgency=medium

  * Use architecture-is-64-bit, architecture-is-little-endian instead of
    listing architectures explicitly.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Jan 2026 11:45:00 +0100

postgresql-hll (2.19-1) unstable; urgency=medium

  * New upstream version 2.19.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Oct 2025 19:34:18 +0200

postgresql-hll (2.18-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117322)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.
  * Fix a variable declaration so gcc doesn't complain.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:31:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,23 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ architecture-is-little-endian,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/citusdata/postgresql-hll
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-hll
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-hll.git
 
 Package: postgresql-10-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
@@ -28,11 +31,13 @@
  a few percent error.
 
 Package: postgresql-11-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
@@ -41,11 +46,13 @@
  a few percent error.
 
 Package: postgresql-12-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
@@ -54,11 +61,13 @@
  a few percent error.
 
 Package: postgresql-13-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
@@ -67,11 +76,13 @@
  a few percent error.
 
 Package: postgresql-14-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
@@ -80,11 +91,13 @@
  a few percent error.
 
 Package: postgresql-15-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
@@ -93,11 +106,13 @@
  a few percent error.
 
 Package: postgresql-16-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
@@ -106,14 +121,31 @@
  a few percent error.
 
 Package: postgresql-17-hll
-Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: HyperLogLog extension for PostgreSQL
  This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
  data structure. HyperLogLog is a fixed-size, set-like structure used for
  distinct value counting with tunable precision. For example, in 1280 bytes
  `hll` can estimate the count of tens of billions of distinct values with only
  a few percent error.
+
+Package: postgresql-18-hll
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: HyperLogLog extension for PostgreSQL
+ This PostgreSQL module introduces a new data type `hll` which is a HyperLogLog
+ data structure. HyperLogLog is a fixed-size, set-like structure used for
+ distinct value counting with tunable precision. For example, in 1280 bytes
+ `hll` can estimate the count of tens of billions of distinct values with only
+ a few percent error.
